@echo off

cd ..
set CUR_DIR=%CD%

echo "=================== global install pi_cli in npm ==================="

call npm i -g git+http://ser.yinengyun.com:10080/tech/pi_cli --registry=https://registry.npm.taobao.org

echo "=================== set git auto cr-lf invalid ==================="

git config --global core.safecrlf true
git config --global core.autocrlf false

echo "=================== set local-ip into env-var ==================="

for /f "tokens=4" %%a in ('route print^|findstr 0.0.0.0.*0.0.0.0') do (
    echo "local IP is ", %%a
    setx PTCONFIG_IP localhost;127.0.0.1;%%a
    goto outloop
)
:outloop

echo "=================== install project npm ==================="

cd %CUR_DIR%
call npm i --registry=https://registry.npm.taobao.org

echo "=================== clone libs library ==================="

cd %CUR_DIR%
call pi_cli update-git -f ./libs/cli_git.conf

echo "=================== update commitHash to conf ==================="

cd %CUR_DIR%
call pi_cli update-hash --force -f ./libs/cli_git.conf

echo "=================== install pi_build ==================="

cd %CUR_DIR%\libs\pi_build
call npmi.bat

pause