import { initHtml } from "jasmine_core/jasmine-html";
import { jasmineExecute } from "jasmine_core/boot";
/**
 * 单元测试入口文件
 */

declare var _$pi;

export const run = () => {
    console.log("开始执行单元测试");
    initHtml();
    // 先导入jasmine注册全局函数
    const p: Promise<any>[] = [];
    for (const [k, _] of _$pi._modules) {
        if (k.endsWith(".test")) {
            p.push(import(k))
        }
    }
    Promise.all(p).then(() => {
        jasmineExecute();
    })
}